<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>ospi2urdf: example_move Namespace Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">ospi2urdf
   </div>
   <div id="projectbrief">Express .osim files as .urdf files.</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">example_move Namespace Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a8a614a41cce39b81861d408f37ad7cbb"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__move.html#a8a614a41cce39b81861d408f37ad7cbb">damp</a> = 1e-6</td></tr>
<tr class="separator:a8a614a41cce39b81861d408f37ad7cbb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a511ae0b1c13f95e5f08f1a0dd3da3d93"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__move.html#a511ae0b1c13f95e5f08f1a0dd3da3d93">data</a> = wb_model.data</td></tr>
<tr class="separator:a511ae0b1c13f95e5f08f1a0dd3da3d93"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a599fc6b8467310573c4e6f0389b8049e"><td class="memItemLeft" align="right" valign="top">list&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__move.html#a599fc6b8467310573c4e6f0389b8049e">dMi</a> = <a class="el" href="namespaceexample__move.html#aaed31cb25150b2708251bf2f348e9dd7">L_oMdes</a>[k].actInv(data.oMi[<a class="el" href="namespaceexample__move.html#af69a731ccac61a393327a8c2803b0008">L_joint</a>[k]] )</td></tr>
<tr class="separator:a599fc6b8467310573c4e6f0389b8049e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af7aeafada2fc5a4b2b50c8a0bbacb915"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__move.html#af7aeafada2fc5a4b2b50c8a0bbacb915">DT</a> = 1e-1</td></tr>
<tr class="separator:af7aeafada2fc5a4b2b50c8a0bbacb915"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af5273a8f24cd5007727717ad46ac58ee"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__move.html#af5273a8f24cd5007727717ad46ac58ee">eps</a> = 1e-4</td></tr>
<tr class="separator:af5273a8f24cd5007727717ad46ac58ee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a52482fdd3721e7db69dc740aefee8ad4"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__move.html#a52482fdd3721e7db69dc740aefee8ad4">err</a> = np.zeros((1,1))</td></tr>
<tr class="separator:a52482fdd3721e7db69dc740aefee8ad4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3a1a90139c2c8ab1fca0ea8b1790b7b2"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__move.html#a3a1a90139c2c8ab1fca0ea8b1790b7b2">filename</a> = '/home/auctus/ospi/models/whole_body/wholebody.osim'</td></tr>
<tr class="separator:a3a1a90139c2c8ab1fca0ea8b1790b7b2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acb559820d9ca11295b4500f179ef6392"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__move.html#acb559820d9ca11295b4500f179ef6392">i</a> = 0</td></tr>
<tr class="separator:acb559820d9ca11295b4500f179ef6392"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa08fe69c05c89a809e81c766a4ad7706"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__move.html#aa08fe69c05c89a809e81c766a4ad7706">IT_MAX</a> = 1000</td></tr>
<tr class="separator:aa08fe69c05c89a809e81c766a4ad7706"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeb9806a56e1e80b69cc9a606b36cfe4b"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__move.html#aeb9806a56e1e80b69cc9a606b36cfe4b">J</a> = np.zeros((1,1))</td></tr>
<tr class="separator:aeb9806a56e1e80b69cc9a606b36cfe4b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4941cb56766ad55a43349361845e28f9"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__move.html#a4941cb56766ad55a43349361845e28f9">Jk</a> = se3.computeJointJacobian(<a class="el" href="namespaceexample__move.html#a508cc3106d2c29fe07dc87cbe3ea6927">model</a>,<a class="el" href="namespaceexample__move.html#a511ae0b1c13f95e5f08f1a0dd3da3d93">data</a>,<a class="el" href="namespaceexample__move.html#a099b3b060154898840f0ebdfb46ec78f">q</a>,<a class="el" href="namespaceexample__move.html#af69a731ccac61a393327a8c2803b0008">L_joint</a>[k])</td></tr>
<tr class="separator:a4941cb56766ad55a43349361845e28f9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa0af0690ef0405b1c7d2370811f9aa23"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__move.html#aa0af0690ef0405b1c7d2370811f9aa23">JOINT_ID</a> = 19</td></tr>
<tr class="memdesc:aa0af0690ef0405b1c7d2370811f9aa23"><td class="mdescLeft">&#160;</td><td class="mdescRight">&ndash; fingers_r id = 19  <a href="#aa0af0690ef0405b1c7d2370811f9aa23">More...</a><br /></td></tr>
<tr class="separator:aa0af0690ef0405b1c7d2370811f9aa23"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af69a731ccac61a393327a8c2803b0008"><td class="memItemLeft" align="right" valign="top">list&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__move.html#af69a731ccac61a393327a8c2803b0008">L_joint</a> = []</td></tr>
<tr class="separator:af69a731ccac61a393327a8c2803b0008"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaed31cb25150b2708251bf2f348e9dd7"><td class="memItemLeft" align="right" valign="top">list&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__move.html#aaed31cb25150b2708251bf2f348e9dd7">L_oMdes</a> = []</td></tr>
<tr class="separator:aaed31cb25150b2708251bf2f348e9dd7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a868d1c4a8c13a8fea7c4bb4ce346b065"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__move.html#a868d1c4a8c13a8fea7c4bb4ce346b065">mesh_path</a> = '/home/auctus/ospi/models/whole_body/obj'</td></tr>
<tr class="separator:a868d1c4a8c13a8fea7c4bb4ce346b065"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a508cc3106d2c29fe07dc87cbe3ea6927"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__move.html#a508cc3106d2c29fe07dc87cbe3ea6927">model</a> = wb_model.model</td></tr>
<tr class="separator:a508cc3106d2c29fe07dc87cbe3ea6927"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4ffc4c454eda894307e17c2bf5f61920"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__move.html#a4ffc4c454eda894307e17c2bf5f61920">nb_cons</a> = len(<a class="el" href="namespaceexample__move.html#af69a731ccac61a393327a8c2803b0008">L_joint</a>)</td></tr>
<tr class="separator:a4ffc4c454eda894307e17c2bf5f61920"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a639f1d10f9aa9f44d2c68fc99d1dda9d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__move.html#a639f1d10f9aa9f44d2c68fc99d1dda9d">oMdes</a> = se3.SE3( se3.utils.rotate('y',np.pi) , np.array([0.0, 0.0, 0.0]))</td></tr>
<tr class="separator:a639f1d10f9aa9f44d2c68fc99d1dda9d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a099b3b060154898840f0ebdfb46ec78f"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__move.html#a099b3b060154898840f0ebdfb46ec78f">q</a> = se3.neutral(<a class="el" href="namespaceexample__move.html#a508cc3106d2c29fe07dc87cbe3ea6927">model</a>)</td></tr>
<tr class="separator:a099b3b060154898840f0ebdfb46ec78f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7960f9c558f9ee2c3d4a8fdea096fb56"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__move.html#a7960f9c558f9ee2c3d4a8fdea096fb56">success</a> = True</td></tr>
<tr class="separator:a7960f9c558f9ee2c3d4a8fdea096fb56"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac4055e3a20b6b3af3d10590ea446ef6c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__move.html#ac4055e3a20b6b3af3d10590ea446ef6c">v</a> = - J.T.dot( solve(J.dot(J.T) + <a class="el" href="namespaceexample__move.html#a8a614a41cce39b81861d408f37ad7cbb">damp</a> * np.eye(6*<a class="el" href="namespaceexample__move.html#a4ffc4c454eda894307e17c2bf5f61920">nb_cons</a>), <a class="el" href="namespaceexample__move.html#a52482fdd3721e7db69dc740aefee8ad4">err</a>) )</td></tr>
<tr class="separator:ac4055e3a20b6b3af3d10590ea446ef6c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad105aa2ca5360f19e40e0463cee0b905"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__move.html#ad105aa2ca5360f19e40e0463cee0b905">wb_model</a> = wr.Wrapper(<a class="el" href="namespaceexample__move.html#a3a1a90139c2c8ab1fca0ea8b1790b7b2">filename</a>, <a class="el" href="namespaceexample__move.html#a868d1c4a8c13a8fea7c4bb4ce346b065">mesh_path</a>, name='whole-body_model1')</td></tr>
<tr class="separator:ad105aa2ca5360f19e40e0463cee0b905"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Variable Documentation</h2>
<a id="a8a614a41cce39b81861d408f37ad7cbb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8a614a41cce39b81861d408f37ad7cbb">&#9670;&nbsp;</a></span>damp</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int damp = 1e-6</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a511ae0b1c13f95e5f08f1a0dd3da3d93"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a511ae0b1c13f95e5f08f1a0dd3da3d93">&#9670;&nbsp;</a></span>data</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">data = wb_model.data</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a599fc6b8467310573c4e6f0389b8049e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a599fc6b8467310573c4e6f0389b8049e">&#9670;&nbsp;</a></span>dMi</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">list dMi = <a class="el" href="namespaceexample__move.html#aaed31cb25150b2708251bf2f348e9dd7">L_oMdes</a>[k].actInv(data.oMi[<a class="el" href="namespaceexample__move.html#af69a731ccac61a393327a8c2803b0008">L_joint</a>[k]] )</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="af7aeafada2fc5a4b2b50c8a0bbacb915"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af7aeafada2fc5a4b2b50c8a0bbacb915">&#9670;&nbsp;</a></span>DT</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int DT = 1e-1</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="af5273a8f24cd5007727717ad46ac58ee"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af5273a8f24cd5007727717ad46ac58ee">&#9670;&nbsp;</a></span>eps</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int eps = 1e-4</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a52482fdd3721e7db69dc740aefee8ad4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a52482fdd3721e7db69dc740aefee8ad4">&#9670;&nbsp;</a></span>err</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">err = np.zeros((1,1))</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a3a1a90139c2c8ab1fca0ea8b1790b7b2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3a1a90139c2c8ab1fca0ea8b1790b7b2">&#9670;&nbsp;</a></span>filename</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">string filename = '/home/auctus/ospi/models/whole_body/wholebody.osim'</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="acb559820d9ca11295b4500f179ef6392"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acb559820d9ca11295b4500f179ef6392">&#9670;&nbsp;</a></span>i</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int i = 0</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aa08fe69c05c89a809e81c766a4ad7706"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa08fe69c05c89a809e81c766a4ad7706">&#9670;&nbsp;</a></span>IT_MAX</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int IT_MAX = 1000</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aeb9806a56e1e80b69cc9a606b36cfe4b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeb9806a56e1e80b69cc9a606b36cfe4b">&#9670;&nbsp;</a></span>J</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">J = np.zeros((1,1))</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a4941cb56766ad55a43349361845e28f9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4941cb56766ad55a43349361845e28f9">&#9670;&nbsp;</a></span>Jk</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Jk = se3.computeJointJacobian(<a class="el" href="namespaceexample__move.html#a508cc3106d2c29fe07dc87cbe3ea6927">model</a>,<a class="el" href="namespaceexample__move.html#a511ae0b1c13f95e5f08f1a0dd3da3d93">data</a>,<a class="el" href="namespaceexample__move.html#a099b3b060154898840f0ebdfb46ec78f">q</a>,<a class="el" href="namespaceexample__move.html#af69a731ccac61a393327a8c2803b0008">L_joint</a>[k])</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aa0af0690ef0405b1c7d2370811f9aa23"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa0af0690ef0405b1c7d2370811f9aa23">&#9670;&nbsp;</a></span>JOINT_ID</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int JOINT_ID = 19</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>&ndash; fingers_r id = 19 </p>

</div>
</div>
<a id="af69a731ccac61a393327a8c2803b0008"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af69a731ccac61a393327a8c2803b0008">&#9670;&nbsp;</a></span>L_joint</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">list L_joint = []</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aaed31cb25150b2708251bf2f348e9dd7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaed31cb25150b2708251bf2f348e9dd7">&#9670;&nbsp;</a></span>L_oMdes</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">list L_oMdes = []</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a868d1c4a8c13a8fea7c4bb4ce346b065"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a868d1c4a8c13a8fea7c4bb4ce346b065">&#9670;&nbsp;</a></span>mesh_path</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">string mesh_path = '/home/auctus/ospi/models/whole_body/obj'</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a508cc3106d2c29fe07dc87cbe3ea6927"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a508cc3106d2c29fe07dc87cbe3ea6927">&#9670;&nbsp;</a></span>model</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">model = wb_model.model</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a4ffc4c454eda894307e17c2bf5f61920"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4ffc4c454eda894307e17c2bf5f61920">&#9670;&nbsp;</a></span>nb_cons</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">nb_cons = len(<a class="el" href="namespaceexample__move.html#af69a731ccac61a393327a8c2803b0008">L_joint</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a639f1d10f9aa9f44d2c68fc99d1dda9d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a639f1d10f9aa9f44d2c68fc99d1dda9d">&#9670;&nbsp;</a></span>oMdes</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">oMdes = se3.SE3( se3.utils.rotate('y',np.pi) , np.array([0.0, 0.0, 0.0]))</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a099b3b060154898840f0ebdfb46ec78f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a099b3b060154898840f0ebdfb46ec78f">&#9670;&nbsp;</a></span>q</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">q = se3.neutral(<a class="el" href="namespaceexample__move.html#a508cc3106d2c29fe07dc87cbe3ea6927">model</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a7960f9c558f9ee2c3d4a8fdea096fb56"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7960f9c558f9ee2c3d4a8fdea096fb56">&#9670;&nbsp;</a></span>success</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool success = True</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ac4055e3a20b6b3af3d10590ea446ef6c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac4055e3a20b6b3af3d10590ea446ef6c">&#9670;&nbsp;</a></span>v</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">v = - J.T.dot( solve(J.dot(J.T) + <a class="el" href="namespaceexample__move.html#a8a614a41cce39b81861d408f37ad7cbb">damp</a> * np.eye(6*<a class="el" href="namespaceexample__move.html#a4ffc4c454eda894307e17c2bf5f61920">nb_cons</a>), <a class="el" href="namespaceexample__move.html#a52482fdd3721e7db69dc740aefee8ad4">err</a>) )</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad105aa2ca5360f19e40e0463cee0b905"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad105aa2ca5360f19e40e0463cee0b905">&#9670;&nbsp;</a></span>wb_model</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">wb_model = wr.Wrapper(<a class="el" href="namespaceexample__move.html#a3a1a90139c2c8ab1fca0ea8b1790b7b2">filename</a>, <a class="el" href="namespaceexample__move.html#a868d1c4a8c13a8fea7c4bb4ce346b065">mesh_path</a>, name='whole-body_model1')</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
